<?php
/**
 * @version		$Id: default_item.php 21092 2011-04-06 17:12:16Z infograf768 $
 * @package		Joomla.Site
 * @subpackage	com_content
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

// Create a shortcut for params.
$params = &$this->item->params;
$images = json_decode($this->item->images);
$canEdit	= $this->item->params->get('access-edit');
$templateParams = JFactory::getApplication()->getTemplate(true)->params;

if($templateParams->get('thumbnail_front_page') == 1 && class_exists('YTTemplateUtils')) {
	include_once(JPATH_SITE . DS.'templates'.DS . JFactory::getApplication()->getTemplate() . DS . 'includes'. DS .'image.class.php');
	$yti = new YtImageJoomlaContent();
	$yti->thumbnail_mode = $templateParams->get('thumbnail_mode', 'stretch');
	$yti->thumbnail_background = $templateParams->get('thumbnail_background', '#FFF');
	
	if($this->leading_or_intro =='leading'){
		$yti->width = $templateParams->get('leading_width', '200');
		$yti->height = $templateParams->get('leading_height', '200');
		if (isset($images->image_intro) and !empty($images->image_intro)){
			$this->item->introtext = trim(preg_replace ( "/\<img[^\>]*>/", '', $this->item->introtext ));
			$this->item->introtext = preg_replace("/<p><\/p>/", '' , $this->item->introtext);
			$imgResizeConfig = array(
				'background' => $yti->thumbnail_background,
				'thumbnail_mode' => $yti->thumbnail_mode
			);	
			YTTemplateUtils::getImageResizerHelper($imgResizeConfig);
			$src = YTTemplateUtils::resize($images->image_intro, $yti->width, $yti->height, $yti->thumbnail_mode);
			if($templateParams->get('includeLazyload', 1)==0){
				$img_resize = '<img src="'.$src.'" alt="'.htmlspecialchars($images->image_intro_alt).'"';
			}else{
				$img_resize = '<img src="'.JURI::base().'templates/'.JFactory::getApplication()->getTemplate().'/images/white.gif" data-original="'.$src.'" alt="'.htmlspecialchars($images->image_intro_alt).'"';
			}
			if ($images->image_intro_caption):
				$img_resize .=' class="caption" title="' .htmlspecialchars($images->image_intro_caption).'"';
			endif;
			$img_resize .='/>';
		}else{
			$img_resize = $yti->processImage($this->item, $templateParams->get('includeLazyload',1));
		}
	}else{
		$yti->width = $templateParams->get('intro_width', '200');
		$yti->height = $templateParams->get('intro_height', '200');
		if (isset($images->image_intro) and !empty($images->image_intro)){
			$this->item->introtext = trim(preg_replace ( "/\<img[^\>]*>/", '', $this->item->introtext ));
			$this->item->introtext = preg_replace("/<p><\/p>/", '' , $this->item->introtext);
			$imgResizeConfig = array(
				'background' => $yti->thumbnail_background,
				'thumbnail_mode' => $yti->thumbnail_mode
			);	
			YTTemplateUtils::getImageResizerHelper($imgResizeConfig);
			$src = YTTemplateUtils::resize($images->image_intro, $yti->width, $yti->height, $yti->thumbnail_mode); 
			if($templateParams->get('includeLazyload', 1)==0){
				$img_resize = '<img src="'.$src.'" alt="'.htmlspecialchars($images->image_intro_alt).'"';
			}else{
				$img_resize = '<img src="'.JURI::base().'templates/'.JFactory::getApplication()->getTemplate().'/images/white.gif" data-original="'.$src.'" alt="'.htmlspecialchars($images->image_intro_alt).'"';
			}
			if ($images->image_intro_caption):
				$img_resize .='class="caption" title="' .htmlspecialchars($images->image_intro_caption).'"';
			endif;
			$img_resize .='/>';
		}else{
			$img_resize = $yti->processImage($this->item, $templateParams->get('includeLazyload', 1));
		}
	}
}


?>

<?php if ($this->item->state == 0) : ?>
<div class="system-unpublished">
<?php endif; ?> 

<?php if ($params->get('show_print_icon') || $params->get('show_email_icon') || $canEdit || 
		  $params->get('show_author') || $params->get('show_category') || $params->get('show_create_date') || 
		  $params->get('show_modify_date') || $params->get('show_publish_date') || $params->get('show_parent_category') || 
		  $params->get('show_hits') ) { ?>
<div class="item-headinfo">
<?php if ($params->get('show_print_icon') || $params->get('show_email_icon') || $canEdit) : ?>
	<ul class="actions">
		<?php if ($params->get('show_print_icon')) : ?>
		<li class="print-icon">
			<?php echo JHtml::_('icon.print_popup', $this->item, $params); ?>
		</li>
		<?php endif; ?>
		<?php if ($params->get('show_email_icon')) : ?>
		<li class="email-icon">
			<?php echo JHtml::_('icon.email', $this->item, $params); ?>
		</li>
		<?php endif; ?>

		<?php if ($canEdit) : ?>
		<li class="edit-icon">
			<?php echo JHtml::_('icon.edit', $this->item, $params); ?>
		</li>
		<?php endif; ?>
	</ul>
<?php endif; ?>

<?php if (!$params->get('show_intro')) : ?>
	<?php echo $this->item->event->afterDisplayTitle; ?>
<?php endif; ?>

<?php echo $this->item->event->beforeDisplayContent; ?>

<?php // to do not that elegant would be nice to group the params ?>

<?php if (($params->get('show_author')) or ($params->get('show_category')) or ($params->get('show_create_date')) or ($params->get('show_modify_date')) or ($params->get('show_publish_date')) or ($params->get('show_parent_category')) or ($params->get('show_hits'))) : ?>
	<dl class="article-info">
 <!--<dt class="article-info-term"><?php  //echo JText::_('COM_CONTENT_ARTICLE_INFO'); ?></dt>-->
<?php endif; ?>
<?php if ($params->get('show_parent_category') && $this->item->parent_id != 1) : ?>
		<dd class="parent-category-name">
			<?php $title = $this->escape($this->item->parent_title);
				$url = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->parent_slug)) . '">' . $title . '</a>'; ?>
			<?php if ($params->get('link_parent_category') AND $this->item->parent_slug) : ?>
				<?php echo JText::sprintf('COM_CONTENT_PARENT', $url); ?>
				<?php else : ?>
				<?php echo JText::sprintf('COM_CONTENT_PARENT', $title); ?>
			<?php endif; ?>
		</dd>
<?php endif; ?>
<?php if ($params->get('show_category')) : ?>
		<dd class="category-name">
			<?php $title = $this->escape($this->item->category_title);
				$url = '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catslug)).'">'.$title.'</a>';?>
			<?php if ($params->get('link_category') AND $this->item->catslug) : ?>
				<?php echo JText::sprintf('COM_CONTENT_CATEGORY', $url); ?>
				<?php else : ?>
				<?php echo JText::sprintf('COM_CONTENT_CATEGORY', $title); ?>
			<?php endif; ?>
		</dd>
<?php endif; ?>
<?php if ($params->get('show_create_date')) : ?>
		<dd class="create">
		<?php echo JText::sprintf('COM_CONTENT_CREATED_DATE_ON', JHtml::_('date',$this->item->created, JText::_('DATE_FORMAT_LC2'))); ?>
		</dd>
<?php endif; ?>
<?php if ($params->get('show_modify_date')) : ?>
		<dd class="modified">
		<?php echo JText::sprintf('COM_CONTENT_LAST_UPDATED', JHtml::_('date',$this->item->modified, JText::_('DATE_FORMAT_LC2'))); ?>
		</dd>
<?php endif; ?>
<?php if ($params->get('show_publish_date')) : ?>
		<dd class="published">
		<?php echo JText::sprintf('COM_CONTENT_PUBLISHED_DATE', JHtml::_('date',$this->item->publish_up, JText::_('DATE_FORMAT_LC2'))); ?>
		</dd>
<?php endif; ?>
<?php if ($params->get('show_author') && !empty($this->item->author )) : ?>
		<dd class="createdby"> 
		<?php $author =  $this->item->author; ?>
		<?php $author = ($this->item->created_by_alias ? $this->item->created_by_alias : $author);?>

			<?php if (!empty($this->item->contactid ) &&  $params->get('link_author') == true):?>
				<?php 	echo JText::sprintf('COM_CONTENT_WRITTEN_BY' , 
				 JHtml::_('link',JRoute::_('index.php?option=com_contact&view=contact&id='.$this->item->contactid),$author)); ?>

			<?php else :?>
				<?php echo JText::sprintf('COM_CONTENT_WRITTEN_BY', $author); ?>
			<?php endif; ?>
		</dd>
<?php endif; ?>	
<?php if ($params->get('show_hits')) : ?>
		<dd class="hits">
		<?php echo JText::sprintf('COM_CONTENT_ARTICLE_HITS', $this->item->hits); ?>
		</dd>
<?php endif; ?>
<?php if (($params->get('show_author')) or ($params->get('show_category')) or ($params->get('show_create_date')) or ($params->get('show_modify_date')) or ($params->get('show_publish_date')) or ($params->get('show_parent_category')) or ($params->get('show_hits'))) : ?>
	</dl>
<?php endif; ?>
	<div class="clear"></div>
</div>
<?php } ?>
<div class="article-text">
<?php

// ------------ BEGIN: yt - customation ----------//
if($templateParams->get('thumbnail_front_page') == 1){
	if (isset($images->image_intro) and !empty($images->image_intro)){
		$imgfloat = (empty($images->float_intro)) ? '-'.$params->get('float_intro') : '-'.$images->float_intro;
	}else{
		$imgfloat ='';
	}
	if ($this->leading_or_intro == 'leading' && $img_resize!=''){
	?>
	<div class="pull-left item-image leading<?php echo htmlspecialchars($imgfloat); ?>">
		<?php echo $img_resize; ?>
	</div>
	<?php	
	}else if($this->leading_or_intro == 'intro' && $img_resize!=''){
	?>
	<div class="pull-left item-image intro<?php echo htmlspecialchars($imgfloat); ?>">
		<?php echo $img_resize; ?>
	</div>
	<?php
	}
	// ------------ END: yt - customation ----------//
}

?>
	<?php if ($params->get('show_title')) : ?>
	<h2 class="item-title">
		<?php if ($params->get('link_titles') && $params->get('access-view')) : ?>
			<a href="<?php echo JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid)); ?>">
			<?php echo $this->escape($this->item->title); ?></a>
		<?php else : ?>
			<?php echo $this->escape($this->item->title); ?>
		<?php endif; ?>
	</h2>
	<?php endif; ?>
	
  
    <?php echo $this->item->introtext; ?>
    
<?php if ($params->get('show_readmore') && $this->item->readmore) :
	if ($params->get('access-view')) :
		$link = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
	else :
		$menu = JFactory::getApplication()->getMenu();
		$active = $menu->getActive();
		$itemId = $active->id;
		$link1 = JRoute::_('index.php?option=com_users&view=login&&Itemid=' . $itemId);
		$returnURL = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
		$link = new JURI($link1);
		$link->setVar('return', base64_encode($returnURL));
	endif;
?>
			
			<a class="readmore" href="<?php echo $link; ?>">
				<?php if (!$params->get('access-view')) :
					echo JText::_('COM_CONTENT_REGISTER_TO_READ_MORE');
				elseif ($readmore = $this->item->alternative_readmore) :
					echo $readmore;
					if ($params->get('show_readmore_title', 0) != 0) :
					    echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
					endif;
				elseif ($params->get('show_readmore_title', 0) == 0) :
					echo JText::sprintf('COM_CONTENT_READ_MORE_TITLE');	
				else :
					echo JText::_('COM_CONTENT_READ_MORE');
					echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
				endif; ?></a>
		
<?php endif; ?>

<?php if ($this->item->state == 0) : ?>
</div>
<?php endif; ?>
</div>
<?php
if($this->leading_or_intro == 'leading' ){
	//echo "<span class='leading_separator'>&nbsp;</span>";
}else{
	echo "<div class='item-separator'></div>";
}
?>
<?php echo $this->item->event->afterDisplayContent; ?>
